sc::VWN3LCFunctional(3)

NAME
sc::VWN3LCFunctional -

The VWN3LCFunctional computes energies and densities using the VWN3 local correlation term (from Vosko, Wilk, and Nusair).

SYNOPSIS

#include <functional.h>

Inherits sc::VWNLCFunctional.

  Public Member Functions
VWN3LCFunctional (int mcp=1, int mce0=1)
VWN3LCFunctional (const Ref< KeyVal > &)
VWN3LCFunctional (StateIn &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void point_lc (const PointInputData &, PointOutputData &, double &, double &, double &)

  Protected Attributes
int monte_carlo_prefactor_
int monte_carlo_e0_

  Additional Inherited Members

Detailed Description

The VWN3LCFunctional computes energies and densities using the VWN3 local correlation term (from Vosko, Wilk, and Nusair).

Member Function Documentation

  void sc::VWN3LCFunctional::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data.

Reimplemented from sc::VWNLCFunctional.

Author

Generated automatically by Doxygen for MPQC from the source code.